;;;; type-errors-atoms.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-atoms

(;export
  error-symbol
  error-keyword
  error-char
  error-boolean)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(import type-errors-numbers)
(reexport type-errors-numbers)

(: error-symbol (* * #!optional * -> noreturn))
(: error-keyword (* * #!optional * -> noreturn))
(: error-char (* * #!optional * -> noreturn))
(: error-boolean (* * #!optional * -> noreturn))

(include "type-errors-atoms.impl")

) ;module type-errors-atoms
